import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const visorsGetStaticsService = createAsyncThunk(
  "VISORS_GET_STATICS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`data_report_percentages`, {
      params: {
        role: getRoleFromUrl(),
        type: d.type,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
